using System;
using System.Collections.Generic;

namespace ConsoleApp3
{
    class Program
    {
        static void Main(string[] args)
        {
            int n = int.Parse(Console.ReadLine());
            var a = Array.ConvertAll(Console.ReadLine().Split(' '), int.Parse);
            var b = Array.ConvertAll(Console.ReadLine().Split(' '), int.Parse);
            var c = Array.ConvertAll(Console.ReadLine().Split(' '), int.Parse);
            int tr = 0;
            int br = 0;
            var niz = new int[n];
            for (int i = 0; i < n; i++)
            {
                if (niz[a[i]-1] > 0)
                {
                    br += niz[a[i]-1];
                }
                else
                {
                    for (int j = 0; j < n; j++)
                    {
                        if (b[j] == a[i])
                        { 
                            for (int z = 0; z < n; z++)
                            {
                                if (c[z] == (j+1))
                                {
                                    tr++;
                                }
                            }
                        }
                    }
                    br += tr;
                    niz[a[i]-1]= tr;
                    tr = 0;
                }
            }
            Console.WriteLine(br);
        }
    }
}